/*
 *+--------------------------------------------------------------------------------------+
 *| Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and |
 *| conditions in the IBM International Program License Agreement.
 *| (C) Copyright IBM Corporation 2003, 2004. All Rights Reserved.						 |	
 *+--------------------------------------------------------------------------------------+
 */


package itso.ad.business.ejb.model;
/**
 * Home interface for Enterprise Bean: Customer
 */
public interface CustomerHome extends javax.ejb.EJBHome {
	/**
	 * Creates an instance from a key for Entity Bean: Customer
	 */
	public itso.ad.business.ejb.model.Customer create(
		java.lang.String customerId)
		throws javax.ejb.CreateException,
		java.rmi.RemoteException;
	/**
	 * Finds an instance using a key for Entity Bean: Customer
	 */
	public itso.ad.business.ejb.model.Customer findByPrimaryKey(
		itso.ad.business.ejb.model.CustomerKey primaryKey)
		throws javax.ejb.FinderException,
		java.rmi.RemoteException;
}