/*
 *+--------------------------------------------------------------------------------------+
 *| Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and |
 *| conditions in the IBM International Program License Agreement.
 *| (C) Copyright IBM Corporation 2003, 2004. All Rights Reserved.						 |	
 *+--------------------------------------------------------------------------------------+
 */



package itso.ad.business.ejb.model;
/**
 * Key class for Entity Bean: Customer
 */
public class CustomerKey implements java.io.Serializable {
	static final long serialVersionUID = 3206093459760846163L;
	/**
	 * Implementation field for persistent attribute: customerId
	 */
	public java.lang.String customerId;
	/**
	 * Creates an empty key for Entity Bean: Customer
	 */
	public CustomerKey() {
	}
	/**
	 * Creates a key for Entity Bean: Customer
	 */
	public CustomerKey(java.lang.String customerId) {
		this.customerId = customerId;
	}
	/**
	 * Returns true if both keys are equal.
	 */
	public boolean equals(java.lang.Object otherKey) {
		if (otherKey instanceof itso.ad.business.ejb.model.CustomerKey) {
			itso.ad.business.ejb.model.CustomerKey o = (itso.ad.business.ejb.model.CustomerKey) otherKey;
			return ((this.customerId.equals(o.customerId)));
		}
		return false;
	}
	/**
	 * Returns the hash code for the key.
	 */
	public int hashCode() {
		return (customerId.hashCode());
	}
}